#pragma once
#include "Entity.h"
#define CS_TAPANI_CREATENAME L"CS_tap_animate"
//ËþÆÕ
class CS_TapAni :
    public Entity
{
public:
    CS_TapAni();
    void Init(std::weak_ptr<Entity> self) override;
    void Step() override;
    void SetState(int stateID, int lr) override;
    void SetState(std::wstring stateName, int lr) override;
    //¶¯»­
    int stateID = 0;
    bool bArgInit = true;
};

std::shared_ptr<Entity> CreateCS_TapAni();